						      18 Jan 90 

     This is an abbreviated version of the C-NETT printed manual which
is distributed with the Low Volume and Professional C-NETT systems.
The full C-NETT system is addressed here briefly.  Note that if you
have the Introductory system, you do not have pen plotted products.
If you have the Shareware Demo disk, output products are limited to the
On-Screen Gantt Chart.

		    CONTENTS OF THIS FILE

  I. C-NETT DEMO Description and Instructions
     (Description of the contents of this disk and running instructions
      for this demo.)

  II. C-NETT Introduction
      (General approach which C-NETT takes to project management featuring
      the value of hierarchical task number based summaries.)

  III. C-NETT Characteristics
       (C-NETT special topics.)

  IV. Network File Data Entry  (Required Reading!)

   V. Holiday File Data Entry

   VI. Network Computation

   VII. Gantt Charts

   VIII. Network Diagrams

   IX. Tabular Report

   X.  Resource Analysis System 

   XI. Special Topics
 
 
  ***********************************************************************


  I.		C-NETT INTRODUCTORY SYSTEM  Instructions

       We are pleased to introduce you to the C-NETT Project Management System.
  This system includes the capability to build and compute schedule networks
  for up to 100 tasks and to produce Gantt Charts and Network Diagrams 
  on-screen, and on graphics printer (Epson or LaserJet protocol).
  Additionally the tabular reports are provided.  Pen plot products are not
  included.  Sample pen-plot (HPGL) Gantt and Network Diagrams are included
  along with sample Resource reports to provide a more complete view of C-NETT.
  An order form for C-NETT products is in the print file ORDER.FRM.

  To run this demo:
   a) Copy the files of these disks to a directory of your hard disk or to a
  1.2Meg floppy.
   b) Type "CN" at the DOS prompt to get the C-NETT Main Menu.
   c) Select "Hardware Selections" to select printer system and screen colors.
  Epson selection 2 is provided for those printers which stutter on frequent
  switches between character and graphics modes. Larger almost-all graphics
  files result.
   d) The system is set up to produce products of a data file DEMO.DAT
  which has a series of tasks "1X" through "END" . Choose  On-Screen "Gantt
  Chart" to display the Demo network.
   e) Now choose "Network Data File" and alter DEMO.DAT or build a new network.
  Note that function key assignments are described at the bottom of screens.
  See the Section III description of this this system
   f) After making the data changes, choose "Network Computation".
   g) Now look at the results via On-Screen "Gantt Chart" and "Network Diagram".
   h) Print and read the User Manual - C-NETT.MAN.


   File Identification:
  *.EXE - C-NETT Execution Code      DEMO.GPR - Dot Matrix Gantt Chart (Epson)
  *.BAT - Batch files of C-NETT      DEMO.RPR -  "  "  Network Diagram	  "
  ORDER.FRM - C-NETT Order form      DEMO.GP1 - Pen Plot Gantt Chart  (HPGL)
  C-NETT.MAN - C-NETT User Manual    DEMO.NP1 -  "   " Network Diagram	"
  DEMO.DAT - Demo Network Data File  DEMO.RS1 - Resource Rpt by Resource Item
  DEMO.HOL - Demo Holiday List File  DEMO.RS2 - Demo Resource Report by WBS
				     DEMO.RPT - Demo Abbreviated Tabular Report
 
 
  ***************************************************************
  II.  C-NETT Introduction

       An automated system doesn't have to be complex and difficult to use in
  order to be powerful and effective.  Several word processing systems have
  proven this point - providing easy-to-use systems as powerful as their more
  complex counterparts.  Ease of use, borne of a straight-forward,
  well-organized approach, has actually made them more effective.

       C-NETT proves this point again in Project Management.  With C-NETT,
  effective design not only makes the system easier to use, but also makes the
  system products more easily understood.  Ease of use is enhanced by a user
  friendly menu and screen entry system providing access to and control over a
  well-organized set of system functions and products.	The cornerstone of
  effective communication through the products is the C-NETT use of an
  hierarchical task numbering system.  The system recognizes hierarchical
  numbering (e.g. Task A1 is a subtask of Task A.) and provides a summary
  capability based upon it.  Up to eight task levels are available.  The user
  can select sets of varying level summary and detail Gantt Charts and Resource
  Reports which very effectively integrate views of the big picture with those
  of intermediate and detail levels.  With the use of hierarchical numbering,
  reviewers of C-NETT products have an immediate understanding of task
  relationships.  With other systems which do not support tiering or have
  a hidden tier specification, there is continuing confusion.

       Flexibility in network construction is another key element of the C-NETT
  approach.  C-NETT establishes the start of a task as the point at which all
  start requirements are met.  These requirements can be any combination of
  start or end dates and predecessor requirements.  Interfaces may
  include head-to-tail relationships and requirements for some number of days
  past the start of the predecessor.  There is no limit on the number of
  predecessors.  Whereas, some systems force the user to tie the network into a
  single critical task, C-NETT allows the designation of any number of critical
  tasks.  These tasks may either be declared as critical (zero slack) or be
  given a deadline date.  All tasks in the predecessor chain of one or more
  critical tasks are assigned the shortest applicable slack.

       C-NETT provides Gantt Charts and Network Diagrams on-screen, on
  dot-matrix printer or HP LaserJet, and for pen plotters in three different
  protocols.  All are high resolution graphics products as opposed to the
  character space resolution of many systems.  On-screen products provide quick
  response displays.  Dot-Matrix products provide 120 dot per inch high quality
  hard copy products.  Pen plot versions are publication quality products.  All
  products can be tailored by the user.

       C-NETT schedules are essentially unlimited in period.  Any of three
  calendar types may be used for a network: all days, five day work weeks, or
  five day work weeks excluding user selected holidays.  Extensive error
  checking and on-screen help is provided by the system. 
  *************************************************************************
  III.	C-NETT Characteristics

       C-NETT is designed to provide a very powerful and effective automated
  project management support system to the user. The power of the system
  includes automated tier level summaries, flexible task interfacing, and
  multiple critical task specification working on a fast schedule networking
  algorithm capable of handling 2000 tasks.  System effectiveness is enhanced by
  a friendly error detecting user interface, easy to use data entry editors, and
  a set of user configurable products.

  A.  Task Numbering

       C-NETT allows for and encourages, but does not require, the use of
  hierarchial task numbering (and/or lettering).  When properly applied, such
  numbering can provide the user automated tier level summary capabilities. 

  C-NETT task numbering rules are as follows:
     1.  Up to eight letters and/or numbers may be used.
     2.  Task numbers are case sensitive.
     3.  Task numbers should be left justified wherever entered.
     4.  Task number hierarchy series (e.g. A,A1,A2,A2x,A2y or
	 x,xA,xA1,xA2...)is recognized by C-NETT and can be
	 used to provide structure for summary capabilities in
	 products such as Gantt charts.

  B.  Setting Up Summary Tiers

       Normally, a summary level of anything has as its attributes only the
  composite of those of its subordinates.  The corresponding situation with
  C-NETT task structure, is for schedule attributes to be assigned to
  non-summary level tasks only.  Note that this is encouraged but not required
  by C-NETT, however.

      The attribute (aka detail) level can and typically does vary over the
  network. For example, the structure A,A1,A11,A12,A2,B would have schedule
  attributes assigned to tasks A11,A12,A2 and B.  A Level 1 Summary Gantt chart
  would have two lines - Task A (a composite of A11,A12, and A2) and Task B
  representing itself.	A Level 2 chart would have lines for A (title line
  without a task bar), A1 (composite of A11 and A12), A2 representing itself,
  and B again representing itself.  (Note that the level is the number of
  characters counting from the left of the task number.)

  C.  Automated Summary

       C-NETT automated summary capability allows a structured approach to
  schedule management.	Using this capability which is based upon the
  hierarchical task numbering, the user can easily command the production of
  detail and varying level summary charts and reports to present a cohesive view
  of the project or program.

       The relationship of tasks and subtasks is automatically communicated in a
  set of C-NETT products.  That is, it is immediately evident to all that
  attributes reported for a higher level task are composites of the attributes
  of its subtasks.  (e.g. For the series B,B1,B11,B12,B2,C,C1,C2; a Gantt line
  for B includes those of B1 and B2. A B1 attribute is the combination of those
  of B11 and B12 etc.)	Such effective communication is not available when, as
  in other systems, the hierarchy is specified in a hidden auxilliary data set.

  D.  Flexible Task Interfacing

       C-NETT provides an extremely flexible system for the schedule interface
  of tasks.  A task start may be specified by any, all, or none of the
  following:
	   1. The required completion of any number of tasks.
	   2. The passage of any specified number of days from the
	      start of any number of tasks. 
	   3. A start or end date or both.
	   4. A task duration or span.
  With multiple start specifications, that causing the latest start rules.
	  
  E.  Criticality Specification

       The user may specify an unlimited number of tasks as critical.  Such a
  task may be caused to be critical (have zero slack) whatever its start/end
  date may be.	Or, a task may be given a deadline date.  The schedule
  networking algorithm assigns critical end dates (and corresponding critical
  slack) to other tasks which are in the predecessor chain of one or more of the
  critical tasks.

  F.  Networking Algorithm

       The schedule networking algorithm reconciles the task specifications
  (task interfaces and critical task specifications) into a schedule for all
  tasks.  Task schedules include start and end dates and a critical end date.
  For tasks which are not in the predecessor chain of a task designated
  critical, the critical end date is indicated as indefinite and its critical
  slack is a large number of days.

       This algorithm provides extensive error detection with corresponding
  error messages.  Of special note, it detects task interface loops and reports
  specifically what interfaces are involved in the loop. (A loop is an
  unresolvable situation in which a task appears in its own predecessor chain.) 
  *********************************************************************

  IV.  Network Data File Entry 

       This system provides the capability to enter data in a convenient full
  screen field editor format similar to many database systems.	Beyond this,
  C-NETT provides the user the ability to easily move, copy, and edit groups of
  tasks within a data file.  This allows convenient task list restructure. Very
  important to the project manager, the means are thus provided to "clone" sets
  of tasks in a few keystrokes.  Cloning is the copying and modification of a
  task set to represent a similar process.  The experienced project manager will
  recognize this capability as very important to efficient network building.

       Upon selection of "NETWORK DATA FILE" from the C-NETT Main Menu the user
  is presented the selections described below:

  A. Header Card Entry (General Parameters).  This selection provides the
  capability to change overall parameters of the data file.

    Data fields for this screen are described as follows:    


    FIELD	    DESCRIPTION

  CALENDAR TYPE     Entry must be C (System uses all calendar days
		     for this file.), W (Number of day entries are
		     based on 5 day work weeks.  No activities
		     take place on weekends.) or H (Uses 5 day
		     work weeks and, additionally, excludes days
		     listed in the holiday list file entered in
		     the third field.).

  AS/OF DATE OF DATA (DDMMMYY e.g. 23May89) The status or
		     effective date of progress data. Used
		     with the "S" Progress Mode.

  HOLIDAY LIST	     Name of the file containing the list of 
	FILENAME:    holidays to be used (with "H" calendar type).
		     Filetype of .HOL is enforced.

  EARLIEST START     Tasks will not be allowed to start before
    DATE FOR TASKS:  this date.


    With this screen, only the ARROW keys, TAB, ENTER, and ESC are active.  ESC
  saves the changes made and returns the Network File menu.

   B. Task Data Entry Screen.

       This selection takes the user to the task level and presents a screen
  containing all of the information for the first task.  All except the WBS#
  field are optional entries. 
  Data field descriptions are as follows:

    FIELD	      DESCRIPTION

    WBS#	     Task alpha-numeric label (Case Sensitive) "
    TITLE	     Task title
    MANAGER	     Responsible manager
    ORGANIZATION     Responsible organization
    START DATE	     Scheduled start (DDMMMYY e.g. 23MAY89)
    END DATE	     Scheduled end	"      "      "
    CRIT MODE	     Entered if this task is to be declared
		     critical. Enter C (Task will be zero slack.)
		     or D (deadline date will be assigned.)

    C DATE	     The deadline date (DDMMMYY) corresponding to
		      the "D" entry for CRIT MODE
    PROG MODE	     Progress data entry mode. Enter S (for days
		     from the status date of the data) or T (total
		     days of progress)
    DAYS	     Days of progress. (Can be negative with S
		     entry in PROG MODE
    LENGTH (DAYS)    Days duration or span of the task
    HEAD-TO-TAIL
     PREDECESSORS    WBS# of an activity which must be complete
		     before this task begins
    DAYS-FROM-START
     PREDECESSORS    For the more flexible task interface where
		     the requirement is for a portion of another
		     task must be complete (or where some number
		     of days must pass after an event).
	   (DAYS     Days from the start of the predecessor task
      /PREDECESSOR   WBS# of the predecessor

    COMMENT	      Free field for entry of comment in the data

       NOTE: The screen has space for 13 head-to-tail and 6 days-from-start
  predecessors.  If more are required, placing a " (double quote) in the first
  space of the WBS# of the next screen will append one or more screens, allowing
  additional interfaces.

       Field control functions are provided to conveniently move from field to
  field and make changes.  Error checking is provided.	If an error is detected,
  a message is placed at the bottom of the screen and the cursor will not leave
  that field until a correct entry is made or the field is blank. The following
  functions are provided:

   KEY	       ACTION

  PAGE DOWN    Advances to the next task.
  PAGE UP      Backup to previous task..
  LEFT ARROW   Moves one character space to left within field.
		From first space in field goes to previous field.
  RIGHT ARROW  Moves one character space to right within field.
		From last space in field moves to next field.
  UP ARROW     Moves to a field above.
  DOWN ARROW   Moves to a field below.
  TAB	       Moves to next field.
  ENTER 	"    "	  "   "
  HOME	       Moves to first field.
  END	       Moves to last field.
  INS	       Clears space for character insertion.
  DEL	       Deletes character pulls right side characters left.
  LEFT DELETE ARROW  Deletes current character and moves to left.

  F1	       Toggles Task Insert Mode on or off. While on, a
		series of tasks may be inserted after the last
		task displayed before entering this mode.  Each
		task is entered and the screen cleared by F2
		(save).
  F2	       Save the changes made.  NO CHANGES WILL BE ENTERED
		WITHOUT PRESSING F2!
  F3	       Delete task.
  F4	       Search for WBS#.  Enter the WBS# into the WBS#
		field of the current task page and press F4.
  ESC	       Leave the editor. The user will be asked to enter
		a filename for the changed file.  Changes will be
		discarded if no filename is entered.
   C. WBS List Screen.

       With this screen, the user can restructure the data set and clone task
  sets!  This screen lists the WBS#s of the data set in up to 7 columns of 22.
  The flashing cursor will appear beside the current WBS#.  In lines 23 and 24,
  available single-key commands are listed. Detailed descriptions of the single
  key functions provided with the WBS List Screen are as follows:

  a) ARROWS - The four direction arrows provide cursor movement about the WBS#
  list.  The UP/DOWN arrows move up/down the columns going to the
  next-left/next-right column from the top/bottom of the column.  The LEFT/RIGHT
  arrows move from column to column.  If pressed while the cursor is on the last
  column of the chosen direction the display will be shifted one column if more
  WBSs are available.

  b) HOME - The display is reset with the first WBS# of the data and the cursor
  in the upper left position.

  c) END - The display is reset with the last WBS# of the data and the cursor in
  the lower right position.

  d) S - The Task Data Entry Screen is displayed with data of the current
  (cursor position) task.  Full screen edit capabilities are available including
  task insert. Exiting the Task Data Entry Screen (via ESC) returns control to
  the WBS List.  Changes made in the Task screen mode are displayed.

  e) ESC - Returns to Network Data Entry Menu.

  f) G - Marks an extremity of a group to be moved, copied, edited or deleted.
  Two marks are required.  A right arrow mark is placed beside the WBS#.

  g) K - Delete the current group marks.

  h) M - Move the current WBS group placing it after the current cursor
  postiion. Group marks are deleted in this process.

  i) C - Copy the current WBS group placing it after the current cursor
  position.  Group marks are not deleted.

  j) X - Delete the current WBS group. Group marks are deleted.
     
  k) E - Alter WBS#s within the marked group (including predecessor entries).
  The user is asked for search and replacement strings. The symbols ? and * are
  used as wild card entries.  The ? is a place wild card. In the search string
  it indicates that any character in that position is acceptable. In the
  replacement string, it indicates that the current character will be retained.
  The * is used in the trailing position only. In the search string it indicates
  that any series of characters in the remaining positions will be acceptable.
  In the replacement string, it indicates that the current character series will
  be retained.

  (Examples:
   Search - 1*	Replacement - 2*  All WBSs starting with a 1 will have the first
  position 1 replaced by a 2.
   Search - 1??A* Replacement - ???B*  All WBSs with a 1 in place 1 and an A in
  place 4 will have the place 4 A replaced by a B.)

      Task cloning is accomplished by the following:
      ______________________________________________

  a) Mark the task set to be cloned using "G".

  b) Move the cursor to the WBS# after which the new series is to be placed
  using the ARROWS.

  c) Copy the task set using "C".

  d) Kill the marks using "K".

  e) Mark the new set of tasks using "G".

  f) Edit the WBSs of the new set using "E".

  g) Make anchor date and other changes as required using "S".

  4) Write New File & Exit.

       The user names the file into which the new data is to be written.
  Overwriting of the original file is allowed after a warning to the user.

  5) Exit Without Saving Changes.

	The user is asked to affirm the selection before changes are discarded.

  *******************************************************************
  V. Holiday File Entry

       Figure V-1 shows the entry screen for the Holiday File Editor.  Space is
  allotted for 60 holidays.  The TAB, ENTER, and UP/DOWN arrows provide
  field-to-field movement.  The LEFT/RIGHT arrows provide in-field and
  field-to-field movement.  Holidays are sorted into chronological order upon
  exit.  Therefore, order of entry is not important.
  *********************************************************************
  VI.	Network Computation 

       C-NETT uses a very efficient algorithm to provide a very quick
  computation of the network from the input data set prepared by the editors. 

       Extensive error checking is done on the data. This includes a recheck of
  dates and integer ranges, check for the existence of predecessors, and
  detection of predecessor loops.  The latter is an unresolvable condition in
  which a task appears in its own predecessor chain.  In this case, a screen
  message lists all predecessor-successor connections involved in the detected
  loop. The user must remove the erroneous connection(s) before the computation
  can be completed.

       The output file receives the same name as the input data file with a file
  type of .CMP as opposed to the .DAT file type of the data file.  If a computed
  file of the same name exists, an altered name with a digit added is
  constructed and the user so informed by screen message.  Multiple computed
  files may be maintained.
  ***********************************************************************
  VII.	Gantt Charts	    

       C-NETT Gantt Charts (On-Screen, Dot-Matrix, and Pen Plot) follow similar
  specification processes.  Most users will navigate the process without help
  but samples of system prompts and entry screens are shown and explained here.   Prompt:
       1)  WBS Order Hierarchy including Summary
       2)  Task-only with Multi-field Select and Sort
       3)  Exit
   Discussion:	Two types of charts are offered.  The first lists tasks in the
  order entered with higher level tasks included. Task	groups are selected as
  contiguous groups. This choice includes WBS Level Summary charts. The second
  option allows a more flexible selection of tasks.  Higher level tasks are
  excluded.  Selections may be made by WBS group, manager, organization, and
  slack.  Manager and organization selection includes wildcard entries (? is
  a placeholder and *is a trailing wildcard. Tasks may be ordered by start
  date.
      The content of printed and plotted Gantt charts is highly variable.  The
  user may select to display any or all of the WBS, title, manager, and
  organization fields.	User choices also include the  displayed calendar
  period, progress and critical path notation, and size/shape of the chart.
  The capability for multiple bars on a single task line is provided under
  1) by entering a " in the first space of the title of following tasks.
  Specifications are entered into a screen form which, for user convenience,
  includes fields filled with default entries.	These entries may be overwritten
  with other legal entries.  With this, as with all C-NETT entry screens, error
  checks are made before the cursor is allowed to leave the field.  A flashing
  error message is displayed if an error is detected.
  ************************************************************************
  VIII. Network Diagrams     

       C-NETT Network Diagrams (On-Screen, Dot-Matrix, and Pen Plot) follow
  similar specification processes.  The displayed task group may be qualified by
  any or all of WBS group, manager, organization, time slice, task slack.
  Wildcard selection is provided with manager and organization (? and *).
  The task WBS number and task slack are shown. Tasks are arranged by start date
  in one direction and days of slack in the other.  Arrangement by slack results
  in clear delineation of critical and near critical paths and fewer crossing
  connection lines - generally a much clearer and more useful product than with
  other systems.
  *************************************************************************
  IX.  Tabular Report	  

       Two report types are offered.  The first (designated Abbreviated) lists
  all tasks with WBS#, Title, Manager, Organization, Start Date, End Date, Task
  Duration (Span), Slack and days of progress.	The second (Complete)
  additionally includes similar listings for predecessors and successors with
  each task.  The predecessor and successor listings differ from those of the
  parent task in that the Slack entry is replaced by an entry designated "Gap".
  Gap is the period between the end of a predecessor and the start of the parent
  task or the end of the parent task and the start of the successor.	   
  **************************************************************
				
  X.  C-NETT with Resource Analysis

  A. General Description

       The optional C-NETT Resource Analysis capability consists of the
  following elements:

  1)  The user may create Resource Data File(s), each with up to 99 different
  resource categories.	Each resource is given a resource category number (1 -
  99), name, usage limit (units per day), and a dollar value per unit.	   

  2)  As an entry of the Network Data File header record (general information),
  the name of the applicable Resource Data File is entered.

  3)  Tasks within the Network Data File are assigned units of resources (by
  resource number 1-99).

  4)  Two Network Computation alternatives are offered.  The first (W/O Resource
  Leveling) computes the network without regard to resource limits.  The second
  (With Resource Leveling) extends task spans as necesary to insure that daily
  resource limits are not exceeded.  Resource use by tasks are on a first come
  first served basis.  Both computation methods prepare a resource use file to
  support resource reports.

  5)  Two resource reports are available.  The reports show resource useage by
  selected time period - week, month, or quarter.  Summary level WBS may be
  chosen (1-8).  The major organizational element of the first is WBS# while
  that of the second is resource category number:
  a) The first report lists resource categories used by the WBS.  Units (or
  dollars) usage are listed for all resource categories used by that WBS for
  successive time periods (week, month, or quarter period length).
  b) The second report shows WBS#s which use a given resource. Again units or
  dollars are listed for successive time periods within the time range chosen.

				
  
  XI. Special Topics
 
Wild Cards in Selections:

     The characters ? and * can be used as wild cards in selections on the
Manager and Organization fields of the Network and Gantt ( 2 -Selected Task)
products.
     The ? is a single place wild card indicating that any character
will be accepted in that place. For example, the specification A?B? will 
select ABBX, or AZBY but not XABB, or azbx (case sensitive).
     The * is a more general wild card.  When only one is used, it is taken 
as a trailing series wild card.  For example the specification A* will select 
any field with an A in the first position. If two *s are entered, the character
group between them is selected regardless of position in the field. For example
*ab* will select abxy and xaby.
     The * and ? may be combined.  The specification ?AB* will select 1ABxyzcc
and 2ABzzz12.  The specification *A?c* will select xxAzczzz and ABcxxxxx. The
specification *?AB* will select xABy but not ABxy.

Multiple Bars on a Gantt Line

     The capability is provided on printed and plotted WBS order Gantt charts
to place multiple bars on a single line.  To invoke this, a " is placed in the
first place of the task title of the task which is to be combined with one
before it.  A series of tasks may be so marked and all will be combined with
the unmarked task above them in the list.  This mechanism works for detail
or summary charts, however, if the " is placed at WBS levels at or below the
summary level chosen, no effect will be seen.  Other products (including 
Selected Task Gantts) will simply print the " along with the rest of the title
and give it no significance.


Printer Selections  

     Two selections are provided each for 9 and 24 pin dot matrix printers
under the Hardware Selection Main Menu item.  The first of each set (1 or 4)
specifies graphics printer files optimized for (small) size.  In order to
reduce file size, frequent switching between character and graphics modes is
used.  Most dot matrix printers adapt well to this switching.  Some, while
successfully printing the files, seem to stutter.  If this is encountered, 
change your selection to the "expanded" files (2 or 5).  The result will
be larger print files but smoother printer operation.		      

Unlimited Number of Predecessors

     This capability is provided by allowing the operator to append additional
task input screens to a task.  This is done by inserting another task screen
and placing a " in the first position of the WBS# field. The upper portion of
the appended screen (Title ... LENGTH) is left blank.  Additional predecessors
are placed in either or both of the last two sections.	

A Note about Predecessors

     Some users have specified the same predecessor as both a "Head-To-Tail"
and a "Days-From Start".  This won't kill the system but makes little sense.
Barring some situation which I can't imagine, use one or the other for a
predecessor but not both.
 but makes little 